Subject: Re: mysqlc (was RE: php-mysql-cygwin how to)
From: "Gerrit P. Haase" <[email-masked]>
To: Elfyn McBratney <[email-masked]>
Date: Tue, 8 Jul 2003 14:30:15 +0200

Hello Elfyn,

>>> I decided to drop what I'm working on and play with MySQL this afternoon ;-)

>>> If all goes well and I can get everything par the server working I'll see if
>>> it/they (client and libs) would be accepted as packages..then tackle the server.

>> The server will build fine and I was also able to run the tests, but
>> most of the time all tests are failing, but sometimes one or another
>> succeeds.  Please relibtoolize before configuring, else there will be no
>> shared libraries.

> Already done :-)

>> I can send you my patches this evening (for the 4.1.0-alpha version).

> They'd be useful, so sure, but I was hesatant about 4.0 let alone 4.1 . I'm
> still thinking about using 3.23 .

3.23.x doesn't need patches at the source.

I had many problems relibtoolizing, so ended up building the DLL's
manually (works also fine).  I have my old 3.23.43 build online (static
libs only, including the server, it still is running well on very old
Cygwin DLL's, say pre 1.3.12, IIRC it was compiled with 1.3.10, and also
is running on 1.5, besides the fact that it fails 7 from 8 tests.  The
failings are randomly, one time the first test succeeds, anther time the
second and so on.

I would send you the URL on request in PM.

4.0.x is still a mess regarding libtoolizing with newer libtool and
newer autotools than they used at MySQL.com, 4.1.x was the first release
which makes no problems with the build tools and only minor problems
with the sources.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/